Package org.xnio.channels

# Class FixedLengthUnderflowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.xnio.channels.FixedLengthUnderflowException

All Implemented Interfaces:
  `Serializable`

public class FixedLengthUnderflowException extends IOException
Exception thrown when a fixed-length write channel is not written to its full length.

Author:
  David M. Lloyd
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FixedLengthUnderflowException()`
Constructs a `UnfinishedWriteException` with no detail message.
`FixedLengthUnderflowException(String msg)`
Constructs a `UnfinishedWriteException` with the specified detail message.
`FixedLengthUnderflowException(String msg, Throwable cause)`
Constructs a `UnfinishedWriteException` with the specified detail message and cause.
`FixedLengthUnderflowException(Throwable cause)`
Constructs a `UnfinishedWriteException` with the specified cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FixedLengthUnderflowException

public FixedLengthUnderflowException()
Constructs a `UnfinishedWriteException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

### FixedLengthUnderflowException

public FixedLengthUnderflowException(String msg)
Constructs a `UnfinishedWriteException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

Parameters:
  `msg` - the detail message

### FixedLengthUnderflowException

public FixedLengthUnderflowException(Throwable cause)
Constructs a `UnfinishedWriteException` with the specified cause. The detail message is set to:

    (cause == null ? null : cause.toString())

(which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

### FixedLengthUnderflowException

public FixedLengthUnderflowException(String msg, Throwable cause)
Constructs a `UnfinishedWriteException` with the specified detail message and cause.

Parameters:
  `msg` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)